using adas_core.Domain.Models.MongoModels;
using MongoDB.Bson;

namespace adas_core.Application.Repositories.Interfaces;

public interface IServiceConfigRepository : IMongoRepository<ServiceConfig>
{
    Task<ServiceConfig?> FindById(ObjectId oid);
    Task<ServiceConfig?> FindById(string id);
}